> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/class/raspowerpermission-class.md).

# RASPowerPermission Class

### NAMESPACE

RASAdminEngine.Core.OutputModels

### DESCRIPTION

The RAS power administrator permissions

### INHERITED FROM

[RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html)⇒RASPowerPermission

### INTERFACES

* ISerializable
* IComparable

### PUBLIC PROPERTIES

| Type          | Name                         | Description |                                                                         |
| ------------- | ---------------------------- | ----------- | ----------------------------------------------------------------------- |
| UInt32        | AdminId                      |             | Admin account ID                                                        |
| Boolean       | AllowAllSites                |             | Permission to manage all Sites in the Farm.                             |
| Boolean       | AllowConnectionChanges       |             | Permission to do changes to Connection settings.                        |
| Boolean       | AllowDeviceManagementChanges |             | Permission to manage client devices.                                    |
| List\<UInt32> | AllowInSiteIds               |             | A list of site IDs which the administrator should be allowed to manage. |
| Boolean       | AllowPolicyChanges           |             | Permission to manage RAS client Policies.                               |
| Boolean       | AllowPublishingChanges       |             | Permission to manage published resources.                               |
| Boolean       | AllowSessionManagement       |             | Permission to manage user sessions.                                     |
| Boolean       | AllowSiteChanges             |             | Permission to do changes to RAS Site settings.                          |
| Boolean       | AllowViewingPolicyInfo       |             | Permission for read mode to RAS client Policies.                        |
| Boolean       | AllowViewingReportingInfo    |             | Permission for read mode access to RAS Reporting..                      |
| Boolean       | AllowViewingSiteInfo         |             | Permission for read mode access to RAS Site information.                |

### PUBLIC METHODS

| Type    | Name                   | Description                                                                                                                                                    |   |
| ------- | ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | - |
| Int32   | CompareTo (Object obj) | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Boolean | Equals (Object obj)    | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Int32   | GetHashCode ()         | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Type    | GetType ()             |                                                                                                                                                                |   |
| String  | ToString ()            |                                                                                                                                                                |   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/class/raspowerpermission-class.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
